import { world } from "@minecraft/server";

world.afterEvents.itemUse.subscribe((eventData) => {
const player = eventData.source
const item = player.getComponent('equippable').getEquipment('Mainhand')
     if (item?.typeId == 'true:bottle_of_water') {
         player.runCommandAsync("scoreboard players remove @s hydration 60");
         player.runCommandAsync("playsound player_drinking @a [r=2] ~ ~ ~");
         player.runCommandAsync("clear @s true:bottle_of_water 0 1");
         player.runCommandAsync("give @s minecraft:glass_bottle 1");
        }
     }
);
world.afterEvents.itemCompleteUse.subscribe((eventData) => {
  const player = eventData.source
  const item = player.getComponent('equippable').getEquipment('Mainhand')
          if (item?.typeId == 'minecraft:melon_slice') {
            player.runCommandAsync("scoreboard players remove @s hydration 20");
           }
          if (item?.typeId == 'minecraft:carrot') {
            player.runCommandAsync("scoreboard players remove @s hydration 20");
           }
          if (item?.typeId == 'minecraft:beetroot') {
            player.runCommandAsync("scoreboard players remove @s hydration 20");
           }
          if (item?.typeId == 'minecraft:apple') {
            player.runCommandAsync("scoreboard players remove @s hydration 30");
           }
       }
  );

